# Set the visibility of a section

{% tabs %}
{% tab title="cULR" %}

```bash
curl https://mburger.cloud/api/blocks/<id>/sections
-X POST 
-H "Accept: application/json" 
-H "Content-Type: application/x-www-form-urlencoded"
-H "X-MBurger-Token: <token>" 
-H "X-MBurger-Version: 3"
-d 'elements[<locale>][<element_type>]=<value>'
-d 'visibility'
```

{% endtab %}

{% tab title="iOS SDK" %}

```swift
var visibilitySettings = MBAdminVisibilitySettings.draft()
visibilitySettings = MBAdminVisibilitySettings.visible()
// This visibility set the section to be available after 100 seconds
visibilitySettings = MBAdminVisibilitySettings.scheduled(availableAt: Date().addingTimeInterval(100))
MBAdmin.addSectionToBlock(withBlockId: BLOCK_ID,
                          elements: elements,                                  
                          visibilitySettings: visibilitySettings,
                          success: { sectionId in
                                    
                          },
                          failure: { error in
                                    
                          })
```

{% endtab %}

{% tab title="Android SDK" %}

```kotlin
val params = ArrayList<MBAdminGenericParameter>()
/*use MBAdminVisibility:
* ---- VISIBLE
* ---- DRAFT
* ---- SCHEDULED: you should add available_at, if -1L or not set uses 
current time
*/
params.add(MBAdminVisibilitySettingsParameter(
                    visibility = VISIBILITY, available_at = SECONDS_TIMESTAMP))

val addSectionListener = object: MBAdminAddSectionListener{
            override fun onSectionAdded(section_id: Long) {
            }

            override fun onSectionAddedError(error: String) {
            }
        }

MBurgerAdminTasks.addSection(
                    context = applicationContext, 
                    block_id = BLOCK_ID, 
                    listener = addSectionListener, 
                    params = params,
                    locale = Locale.getDefault().getLanguage());
```

{% endtab %}

{% tab title="PHP SDK" %}

```
// Work in progress
```

{% endtab %}

{% tab title="JS SDK" %}

```
// POST actions are not available atm on our JS SDK.
// If it could be interesting for you, please submit 
// a feature request here:
// https://support.mburger.cloud/hc/en-us/community/topics/360000550497-Feature-Request?
```

{% endtab %}

{% tab title="Flutter SDK" %}

```dart
MBAdminVisibilitySettings visibilitySettings =
    MBAdminVisibilitySettings.draft();
visibilitySettings = MBAdminVisibilitySettings.visible();
// This visibility set the section to be available after 100 seconds
visibilitySettings = MBAdminVisibilitySettings.scheduled(
  DateTime.now().add(Duration(seconds: 100)),
);
await MBAdmin.shared.addSectionToBlock(
  944,
  elements,
  visibilitySettings: visibilitySettings,
);
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Visibility can be set as **visible**, **draft** or **scheduled**. \
If visibility is set on **scheduled**, you need to specify&#x20;

```
available_at
```

{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mburger.cloud/how-to/set-the-visibility-of-a-section.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
